> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke OAuth Token

> Revokes an active OAuth `access_token` (`blnk_live_...` / `blnk_test_...`) or `refresh_token` (`blnk_rt_...`) in compliance with RFC 7009.

Once revoked, the token is immediately deleted and can no longer authenticate requests to `/api/v1/*`.



## OpenAPI

````yaml post /api/oauth/revoke
openapi: 3.0.0
info:
  title: OAuth 2.0 & Connect API
  description: >-
    OAuth 2.0 Authorization Code flow, token management, and connected store
    introspection endpoints for third-party Blink integrations.
  version: 1.0.0
servers:
  - url: https://app.blink.store
security: []
paths:
  /api/oauth/revoke:
    post:
      tags:
        - OAuth 2.0
      summary: Revoke OAuth Token
      description: >-
        Revokes an active OAuth `access_token` (`blnk_live_...` /
        `blnk_test_...`) or `refresh_token` (`blnk_rt_...`) in compliance with
        RFC 7009.


        Once revoked, the token is immediately deleted and can no longer
        authenticate requests to `/api/v1/*`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OAuthRevokeRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/OAuthRevokeRequest'
      responses:
        '200':
          description: Token revoked successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  revoked:
                    type: boolean
                    example: true
        '400':
          description: Missing required `token` parameter.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthErrorResponse'
components:
  schemas:
    OAuthRevokeRequest:
      type: object
      required:
        - token
      properties:
        token:
          type: string
          description: >-
            The `access_token` (`blnk_live_...`) or `refresh_token`
            (`blnk_rt_...`) to revoke.
          example: blnk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0
        client_id:
          type: string
          description: Optional OAuth application `client_id`.
          example: blnk_client_c35awnC5stJvE1aMvZYHMBpH
        client_secret:
          type: string
          description: Optional OAuth application `client_secret`.
    OAuthErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: invalid_grant
        error_description:
          type: string
          example: Authorization code has expired

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.